<div fxLayout="row" fxLayoutAlign="center center">
  <form class="add-certification-content" [formGroup]="newLearningCertificateForm">
    <div fxLayout="column" fxLayoutAlign="space-between start" fxLayoutGap="2rem">
      <mat-form-field class="control">
        <mat-label>Certification name</mat-label>
        <input matInput formControlName="name" />
        <mat-hint>Name should be at least 4 characters</mat-hint>
        <mat-error>
          <span *ngIf="nameControl?.hasError('required') || nameControl?.hasError('minLength')"
            >Name is required and must be at least 4 characters</span
          >
          <span *ngIf="nameControl?.hasError('API_ERROR')">{{ nameControl?.errors?.API_ERROR }}</span>
        </mat-error>
      </mat-form-field>

      <mat-form-field class="control" appearance="fill">
        <mat-label>Price</mat-label>
        <input matInput formControlName="price" placeholder="Price for this certification" />
      </mat-form-field>

      <mat-form-field class="control" appearance="fill">
        <mat-label>Description</mat-label>
        <textarea matInput formControlName="description" placeholder="Ex. This APP allows to automate..."></textarea>
      </mat-form-field>

      <app-select-associate formControlName="approver"></app-select-associate>
    </div>

    <div class="actions" fxLayout="row" fxLayoutAlign="end start" fxLayoutGap="2rem">
      <button mat-raised-button color="primary" (click)="handleSave()" [disabled]="saving">
        {{ saving ? 'Saving...' : 'Save'
        }}<mat-icon *ngIf="saving"><mat-spinner color="accent" diameter="20"> </mat-spinner></mat-icon>
      </button>
      <button mat-raised-button type="button" (click)="navigateToList()">Cancel</button>
    </div>
  </form>
</div>
